
%global python_pkg python3
%global python /usr/bin/python3

Name: preproc
Version: 0.5
Release:    1%{?dist}
Summary: Simple text preprocessor
License: GPLv2+
URL: https://pagure.io/rpkg-util.git

VCS: git+ssh://git@pagure.io/rpkg-util.git#bcad4393160b3fe9f624ebdc0ac1a65dffd75754:preproc

Source0: rpkg-util-preproc-bcad4393.tar.gz

Patch0: 0001-pipes-to-shlex.patch

BuildArch: noarch

BuildRequires: %{python_pkg}
Requires: %{python_pkg}

%description
Simple text preprocessor implementing a very basic templating language.
You can use bash code enclosed in triple braces in a text file and
then pipe content of that file to preproc. preproc will replace each of
the tags with stdout of the executed code and print the final renderred
result to its own stdout.

%prep
%setup -T -b 0 -q -n rpkg-util-preproc
%patch0 -p1

%check
sed -i '1 s|#.*|#!%{python}|' preproc
./test

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 preproc %{buildroot}%{_bindir}

sed -i '1 s|#.*|#!%{python}|' %{buildroot}%{_bindir}/preproc

install -d %{buildroot}%{_mandir}/man1
install -p -m 0644 man/preproc.1 %{buildroot}%{_mandir}/man1

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%{_bindir}/preproc
%{_mandir}/man1/preproc.1*

%changelog
* Wed Aug 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-1
- initial build
